%global momorel 16

Name: sgml-common
Version: 0.6.3
Release: %{momorel}m
Group: Applications/Text
Summary: Common SGML catalog and DTD files.
License: GPL
URL: http://www.iso.ch/cate/3524030.html
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tgz
Source1: sgml-common-CHANGES
Source2: sgml-common-automake.tar.gz
# From openjade:
Source3: xml.dcl
Source4: xml.soc
Source5: html.dcl
Source6: html.soc
Patch0: sgml-common-umask.patch
Patch1: sgml-common-xmldir.patch
Patch2: sgml-common-quotes.patch
Patch3: sgml-common-automake.patch
Patch4: sgml-common-0.6.3-docdir.patch
Requires: sh-utils fileutils textutils grep
BuildRequires: libxml2
Nosource: 0

%description
The sgml-common package contains a collection of entities and DTDs
that are useful for processing SGML, but that don't need to be
included in multiple packages.  Sgml-common also includes an
up-to-date Open Catalog file.

%package -n xml-common
Group: Applications/Text
Summary: Common XML catalog and DTD files.
License: GPL
URL: http://www.iso.ch/cate/3524030.html
Requires: sh-utils fileutils textutils grep
PreReq: libxml2 >= 2.4.9

%description -n xml-common
The xml-common package contains a collection of entities and DTDs
that are useful for processing XML, but that don't need to be
included in multiple packages.

%prep
%setup -q
%patch0 -p1 -b .umask
%patch1 -p1 -b .xmldir
%patch2 -p1 -b .quotes
rm install-sh missing mkinstalldirs
tar zxf %{SOURCE2}
%patch3 -p1 -b .automake
%patch4 -p1 -b .docdir
aclocal
automake --add-missing --copy

%build
%configure --with-docdir=%{_docdir}

%install
rm -rf %{buildroot}
%makeinstall docdir=%{buildroot}%{_docdir}
cp %{SOURCE1} CHANGES
mkdir %{buildroot}/etc/xml
mkdir %{buildroot}/usr/share/sgml/docbook
mkdir %{buildroot}/usr/share/xml/docbook
# Create an empty XML catalog.
XMLCATALOG=%{buildroot}/etc/xml/catalog
/usr/bin/xmlcatalog --noout --create $XMLCATALOG
# Now put the common DocBook entries in it
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//ENTITIES DocBook XML" \
	"file:///usr/share/xml/docbook/catalog" $XMLCATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//DTD DocBook XML" \
	"file:///usr/share/xml/docbook/catalog" $XMLCATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"ISO 8879:1986" \
	"file:///usr/share/xml/docbook/catalog" $XMLCATALOG
/usr/bin/xmlcatalog --noout --add "delegateSystem" \
	"http://www.oasis-open.org/docbook/" \
	"file:///usr/share/xml/docbook/catalog" $XMLCATALOG
/usr/bin/xmlcatalog --noout --add "delegateURI" \
	"http://www.oasis-open.org/docbook/" \
	"file:///usr/share/xml/docbook/catalog" $XMLCATALOG
# Also create the common DocBook catalog
/usr/bin/xmlcatalog --noout --create \
	%{buildroot}/usr/share/xml/docbook/catalog

rm -f %{buildroot}/usr/share/sgml/xml.dcl
install -m0644 %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
	%{buildroot}/usr/share/sgml
rm -rf %{buildroot}/usr/share/xml/xml-iso-entities-8879.1986

%clean
rm -rf %{buildroot}

%post -n xml-common
# Clean up obsolete catalog
for v in 4.1 4.1.2 4.2
do
	if [ -f %{_sysconfdir}/sgml/xml-docbook-$v.cat ]
	then
		%{_bindir}/xmlcatalog --sgml --noout --del \
			%{_sysconfdir}/sgml/xml-docbook-$v.cat \
			%{_datadir}/xml/xml-iso-entities-8879.1986/sgmlcatalog 2>/dev/null
	fi
done
exit 0

%files
%defattr (-,root,root)
%doc CHANGES doc/HTML/*.html
%dir /etc/sgml
%config(noreplace) /etc/sgml/sgml.conf
%dir /usr/share/sgml
%dir /usr/share/sgml/sgml-iso-entities-8879.1986
/usr/share/sgml/sgml-iso-entities-8879.1986/*
/usr/share/sgml/xml.dcl
/usr/share/sgml/xml.soc
/usr/share/sgml/html.dcl
/usr/share/sgml/html.soc
/usr/bin/sgmlwhich
/usr/bin/install-catalog
%{_mandir}/*/*

%files -n xml-common
%defattr (-,root,root)
%dir /etc/xml
%config(noreplace) /etc/xml/catalog
%dir /usr/share/sgml
%dir /usr/share/sgml/docbook
%dir /usr/share/xml
%config(noreplace) /usr/share/xml/docbook/catalog

%changelog
* Wed Nov 17 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.6.3-16m)
- sync with Fedora (0.6.3-17)

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.3-15m)
- revised spec for rpm 4.2.

* Sat Mar 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.6.3-14k)
- fix %post: create /etc/xml/catalog if not exist
- fix %preun: add catalog filename

* Thu Jan 31 2002 Shingo Akagaki <dora@kondara.org>
- (0.6.3-12k)
- remove docbook, xhtml catalog

* Tue Jan 15 2002 Shingo Akagaki <dora@kondara.org>
- (0.6.3-10K)
- add xhtml support

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.6.3-8k)
- nigittenu

* Fri Oct  5 2001 Tim Waugh <twaugh@redhat.com> 0.6.3-2
- Move XML things into /usr/share/xml, and split them out into separate
  xml-common package.

* Mon Oct  1 2001 Tim Waugh <twaugh@redhat.com> 0.6.3-1
- 0.6.3.  Incorporates oldsyntax and quiet patches.
- Make /etc/sgml/sgml.conf noreplace.
- Own /etc/sgml, various other directories (bug #47485, bug #54180).

* Wed May 23 2001 Tim Waugh <twaugh@redhat.com> 0.5-7
- Remove execute bit from data files.

* Mon May 21 2001 Tim Waugh <twaugh@redhat.com> 0.5-6
- install-catalog needs to make sure that it creates world-readable files
  (bug #41552).

* Wed Jan 24 2001 Tim Waugh <twaugh@redhat.com>
- Make install-catalog quieter during normal operation.

* Tue Jan 23 2001 Tim Waugh <twaugh@redhat.com>
- Require textutils, fileutils, grep (bug #24719).

* Wed Jan 17 2001 Tim Waugh <twaugh@redhat.com>
- Require sh-utils.

* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- Don't play so many macro games.
- Fix typo in install-catalog patch.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- Install by hand (man/en/...).  Use %%{_mandir}.
- Use %%{_tmppath}.
- Make install-catalog fail silently if given the old syntax.
- Add CHANGES file.
- Change Copyright: to License:.
- Remove Packager: line.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
